Details
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/shops/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/shops/{id}"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/shops/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-10T15:17:48.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "C'est la boutique de Douala",
"domains": [],
"id": "01k77b674gsqhykmbfp5hn1n7a",
"logo": null,
"logoUrl": "",
"metadata": null,
"name": "La boutique de test",
"slug": "la-boutique-de-test",
"updated_at": "2025-10-10T15:17:48.000000Z",
"warehouses": []
}Shops
Get shop with id
Retrieves detailed information about a specific shop by its unique ID. This endpoint returns all available data related to the shop, including its name, location, contact details, and associated settings. It is used to view or verify shop information within a company.
GET
/
2023-11
/
admin
/
shops
/
{id}
Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Response
200 - application/json
200
Example:
"01hqydxwtxdj3kmzp3bz7jk73g"
Example:
"2025-10-10T15:17:48.000000Z"
Example:
"XAF"
Example:
"C'est la boutique de Douala"
Example:
[]
Example:
"01k77b674gsqhykmbfp5hn1n7a"
Example:
""
Example:
"La boutique de test"
Example:
"la-boutique-de-test"
Example:
"2025-10-10T15:17:48.000000Z"
Example:
[]
⌘I
